Skip to content

Add vendor payment instruction

Request

Security
oauth2ClientCredentials(Required scopes: vendors:write)
Path
idstringrequired

Vendor ID

Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

Bodyapplication/jsonrequired
payment_instructionobject(AddPaymentInstructionPayloadDto)required

Payment instruction details

curl -i -X POST \
  'https://developer.boyahq.com/_mock/v2/openapi/vendors/{id}/payment-instruction/add' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string' \
  -d '{
    "payment_instruction": {
      "channel": "bank",
      "phone": "string",
      "accno": "string",
      "bank": "string",
      "till": "string",
      "business_no": "string",
      "till_no": "string",
      "bankCode": "string",
      "bank_code": "string"
    }
  }'

Responses

Payment instruction added successfully